My Oracle Support Banner

Issue with Loading CDRs Using pin_rel After Upgrading BRM From 7.5 PS4 To 7.5 PS10 (Doc ID 1993874.1)

Last updated on AUGUST 10, 2018

Applies to:

Oracle Communications Billing and Revenue Management - Version 7.5.0.0.0 to 7.5.0.0.0 [Release 7.5.0]
Information in this document applies to any platform.

Goal

On Oracle Communications Billing and Revenue Management (BRM) version 7.5.0.10.0, when loading Call Data Records (CDRs) with the pin_rel utility, the following error is being thrown:

[pin@xxx pin_rel_01]$ ./pin_rel CDR_VOICE_01_POSTPAID01_POSTPAID_1812114_PS10.out
Java HotSpot(TM) 64-Bit Server VM warning: You have loaded library /opt/brm/pin/opt/portal/7.5/lib/libportal.so which might have disabled stack guard. The VM will try to fix the stack guard now.
It's highly recommended that you fix the library with 'execstack -c ', or link it with '-z noexecstack'.
Exception in thread "main" java.lang.UnsatisfiedLinkError: /opt/brm/pin/opt/portal/7.5/lib/libportal.so: /opt/brm/pin/opt/portal/7.5/lib/libportal.so: wrong ELF class: ELFCLASS32 (Possible cause: architecture word width mismatch)
at java.lang.ClassLoader$NativeLibrary.load(Native Method)
at java.lang.ClassLoader.loadLibrary1(Unknown Source)
at java.lang.ClassLoader.loadLibrary0(Unknown Source)
at java.lang.ClassLoader.loadLibrary(Unknown Source)
at java.lang.Runtime.loadLibrary0(Unknown Source)
at java.lang.System.loadLibrary(Unknown Source)
at com.portal.pcm.DatabaseConnection.(Unknown Source)
at com.portal.rel.RELServices.createOCIConnection(Unknown Source)
at com.portal.rel.RELServices.createDBConnection(Unknown Source)
at com.portal.rel.RELDriver.processRatedEvents(Unknown Source)
at com.portal.rel.Rel.main(Unknown Source)
Exiting abnormally. . .

This issue is observed after upgrading BRM from 7.5 PS4 to 7.5 PS10. Here the Java Runtime Environment (JRE) version is also upgraded to 1.7.0 and current version of JRE is as follows:

[pin@brm01 pin_rel_01]$ java -version
java version "1.7.0_75"
Java(TM) SE Runtime Environment (build 1.7.0_75-b13)
Java HotSpot(TM) 64-Bit Server VM (build 24.75-b04, mixed mode)

How do we fix this error and what version of JRE should be installed?

Solution

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Goal
Solution


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.